---
title: Transition LTHFS loans
slug: apis/lending/purchasing-a-loan/transition-LTHFS-loans
description: This endpoint updates specified LTHFS loans so they move out of the InSeasoning phase and become eligible for purchase, confirming how many transition to ReadyForPurchase.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2026-05-14T06:19:51.241Z
---

## Transition LTHFS loans

:::BlockQuote
**POST&#x20;**/selling/api/loans/endSeasoning
:::

Transition LTHFS loans from `InSeasoning` status to `ReadyForPurchase` status, making them immediately available for purchase.

### Sample request

```json
[
  "550e8400-e29b-41d4-a716-446655440000",
  "550e8400-e29b-41d4-a716-446655440001",
  "550e8400-e29b-41d4-a716-446655440002"
]
```

### Parameters

Request body is an array of LTHFS Arix IDs to end seasoning for.

### Sample response

```json
{
  "success": true,
  "message": "Seasoning ended for 3 loans"
}
```

:::hint{type="info"}
LTHFS loans can also be transitioned from `InSeasoning` to `ReadyForPurchase` from the Selling UI. (see [Upload CSV and end seasoning](docId\:TI-amH-UXoGEVj20KA6_N))
:::

